# class QXEmbed |
Definition | `#include <qxembed.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- QXEmbed ( QWidget *parent=0, const char *name=0, WFlags f = 0 )
- ~QXEmbed ()
- void embed ( WId w )
- WId embeddedWinId () const
- QSize sizeHint () const
- QSize minimumSizeHint () const
- QSizePolicy sizePolicy () const
- bool eventFilter ( QObject *, QEvent * )
- void setAutoDelete ( bool )
- bool autoDelete () const
- bool customWhatsThis () const
- void enterWhatsThisMode ()

#### Signals

- void embeddedWindowDestroyed ()

#### Public Static Methods

- static void initialize ()
- static void embedClientIntoWindow ( QWidget* client, WId window )
- static bool processClientCmdline ( QWidget* client, int& argc, char ** argv )

#### Protected Methods

- bool event ( QEvent * )
- void keyPressEvent ( QKeyEvent * )
- void keyReleaseEvent ( QKeyEvent * )
- void focusInEvent ( QFocusEvent * )
- void focusOutEvent ( QFocusEvent * )
- void resizeEvent (QResizeEvent *)
- void showEvent ( QShowEvent * )
- bool x11Event ( XEvent* )
- virtual void windowChanged ( WId )
- bool focusNextPrevChild ( bool next )

## Detailed Description

QXEmbed ( QWidget *parent=0, const char *name=0, WFlags f = 0 ) | ### QXEmbed

~QXEmbed () | ### ~QXEmbed

void initialize () | ### initialize

[static]

void embed ( WId w ) | ### embed

WId embeddedWinId () | ### embeddedWinId

[const]

void embedClientIntoWindow ( QWidget* client, WId window ) | ### embedClientIntoWindow

[static]

bool processClientCmdline ( QWidget* client, int& argc, char ** argv ) | ### processClientCmdline

[static]

QSize sizeHint () | ### sizeHint

[const]

Reimplemented from QWidget.

QSize minimumSizeHint () | ### minimumSizeHint

[const]

Reimplemented from QWidget.

QSizePolicy sizePolicy () | ### sizePolicy

[const]

Reimplemented from QWidget.

bool eventFilter ( QObject *, QEvent * ) | ### eventFilter

void setAutoDelete ( bool ) | ### setAutoDelete

bool autoDelete () | ### autoDelete

[const]

bool customWhatsThis () | ### customWhatsThis

[const]

Reimplemented from QWidget.

void enterWhatsThisMode () | ### enterWhatsThisMode

void embeddedWindowDestroyed () | ### embeddedWindowDestroyed

[signal]

bool event ( QEvent * ) | ### event

[protected]

Reimplemented from QWidget.

void keyPressEvent ( QKeyEvent * ) | ### keyPressEvent

[protected]

Reimplemented from QWidget.

void keyReleaseEvent ( QKeyEvent * ) | ### keyReleaseEvent

[protected]

Reimplemented from QWidget.

void focusInEvent ( QFocusEvent * ) | ### focusInEvent

[protected]

Reimplemented from QWidget.

void focusOutEvent ( QFocusEvent * ) | ### focusOutEvent

[protected]

Reimplemented from QWidget.

void resizeEvent (QResizeEvent *) | ### resizeEvent

[protected]

Reimplemented from QWidget.

void showEvent ( QShowEvent * ) | ### showEvent

[protected]

Reimplemented from QWidget.

bool x11Event ( XEvent* ) | ### x11Event

[protected]

void windowChanged ( WId ) | ### windowChanged

[protected virtual]

bool focusNextPrevChild ( bool next ) | ### focusNextPrevChild

[protected]

Reimplemented from QWidget.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.